--- Makerules	2017-04-05 07:02:21.000000000 -0400
+++ Makerules	2017-08-24 22:46:23.000000000 -0400
@@ -94,20 +94,22 @@
 
 SYS_CURL_DEPS := -lpthread
 
-SYS_X11_CFLAGS := -I/usr/X11R6/include
-SYS_X11_LIBS := -L/usr/X11R6/lib -lX11 -lXext
+SYS_X11_CFLAGS := $(shell pkg-config --cflags x11 xext)
+SYS_X11_LIBS := $(shell pkg-config --libs x11 xext)
 
-SYS_FREETYPE_CFLAGS := $(shell freetype-config --cflags)
-SYS_FREETYPE_LIBS := $(shell freetype-config --libs)
-SYS_OPENJPEG_LIBS := -lopenjpeg
+SYS_FREETYPE_CFLAGS := $(shell pkg-config --cflags freetype2)
+SYS_FREETYPE_LIBS := $(shell pkg-config --libs freetype2)
+SYS_OPENJPEG_LIBS = -lopenjpeg
+SYS_HARFBUZZ_CFLAGS = $(shell pkg-config --cflags harfbuzz)
+SYS_HARFBUZZ_LIBS = $(shell pkg-config --libs harfbuzz)
 SYS_JBIG2DEC_LIBS := -ljbig2dec
 SYS_LIBJPEG_LIBS := -ljpeg
 SYS_ZLIB_LIBS := -lz
 
-CC := xcrun cc
-AR := xcrun ar
-LD := xcrun ld
-RANLIB_CMD := xcrun ranlib $@
+CC = cc
+AR = ar
+LD = ld
+RANLIB_CMD = ranlib $@
 
 # Linux uses pkg-config for system libraries.
 else ifeq "$(OS)" "Linux"
